ServerEvents.recipes(event => {
    event.remove({ output: 'ae2:logic_processor' })
    event.remove({ output: 'ae2:calculation_processor' })
    event.remove({ output: 'ae2:engineering_processor' })
});
inscriber('ae2:logic_processor', 'ae2:printed_logic_processor', 'pneumaticcraft:printed_circuit_board', 'ae2:printed_silicon', 'press', 2)
inscriber('ae2:calculation_processor', 'ae2:printed_calculation_processor', 'pneumaticcraft:printed_circuit_board', 'ae2:printed_silicon', 'press', 2)
inscriber('ae2:engineering_processor', 'ae2:printed_engineering_processor', 'pneumaticcraft:printed_circuit_board', 'ae2:printed_silicon', 'press', 2)
/**
 * 
 * @param {Internal.Ingredient_} bottom 
 * @param {Internal.Ingredient_} middle 
 * @param {Internal.Ingredient_} top 
 * @param {Internal.Ingredient_} result
 * @param {'inscribe' | 'press'} mode
 * @returns 
 */
function inscriber(result, bottom, middle, top, mode, count) {
    if (!count) count = 1
    ServerEvents.recipes(event => {
        event.custom({
            "type": "ae2:inscriber",
            "ingredients": {
              "bottom": {
                "item": bottom
              },
              "middle": {
                "item": middle
              },
              "top": {
                "item": top
              }
            },
            "mode": mode,
            "result": {
              "item": result,
              "count": count
            }
        })
    });
}